## org.eclipse.datatools.enablement.sybase.ase.providers
Class SybaseASEContentProvider

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.ase.providers.SybaseASEContentProvider

All Implemented Interfaces:
  ICatalogObjectListener, org.eclipse.datatools.connectivity.sqm.server.internal.ui.explorer.loading.ILoadingService, org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider, org.eclipse.jface.viewers.ITreeContentProvider, org.eclipse.ui.navigator.ICommonContentProvider, org.eclipse.ui.navigator.IMementoAware

    public class SybaseASEContentProvider

extends java.lang.Object
implements org.eclipse.ui.navigator.ICommonContentProvider, ICatalogObjectListener, org.eclipse.datatools.connectivity.sqm.server.internal.ui.explorer.loading.ILoadingService

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.datatools.connectivity.sqm.core.rte.ICatalogObjectListener
`ICatalogObjectListener.EventTypeEnumeration`

Nested classes/interfaces inherited from interface org.eclipse.datatools.connectivity.sqm.server.internal.ui.explorer.loading.ILoadingService
`org.eclipse.datatools.connectivity.sqm.server.internal.ui.explorer.loading.ILoadingService.Loading`

Constructor Summary
`SybaseASEContentProvider()`

Method Summary
`void` `dispose()`
`java.lang.Object[]` `getChildren(java.lang.Object parent)`
`java.lang.Object[]` `getElements(java.lang.Object inputElement)`
`java.lang.String` `getLoadingDescription()`
`java.lang.Object` `getParent(java.lang.Object element)`
`boolean` `hasChildren(java.lang.Object element)`
`void` `init(org.eclipse.ui.navigator.ICommonContentExtensionSite aConfig)`
`void` `inputChanged(org.eclipse.jface.viewers.Viewer viewer, java.lang.Object oldInput, java.lang.Object newInput)`
`java.lang.Object[]` `load(java.lang.Object parentElement)`
`void` `notifyChanged(ICatalogObject dmElement, int eventType)` Will get notified whenever the Server Explorer needs to be refreshed
`void` `restoreState(org.eclipse.ui.IMemento aMemento)`
`void` `saveState(org.eclipse.ui.IMemento aMemento)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseASEContentProvider

    public SybaseASEContentProvider()

Method Detail

### load

    public java.lang.Object[] load(java.lang.Object parentElement)

  Specified by:
    `load` in interface `org.eclipse.datatools.connectivity.sqm.server.internal.ui.explorer.loading.ILoadingService`

### getParent

    public java.lang.Object getParent(java.lang.Object element)

  Specified by:
    `getParent` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
  See Also:
    `ITreeContentProvider.getParent(java.lang.Object)`

### hasChildren

    public boolean hasChildren(java.lang.Object element)

  Specified by:
    `hasChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
  See Also:
    `ITreeContentProvider.hasChildren(java.lang.Object)`

### getElements

    public java.lang.Object[] getElements(java.lang.Object inputElement)

  Specified by:
    `getElements` in interface `org.eclipse.jface.viewers.IStructuredContentProvider`
  See Also:
    `IStructuredContentProvider.getElements(java.lang.Object)`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IContentProvider`
  See Also:
    `IContentProvider.dispose()`

### init

    public void init(org.eclipse.ui.navigator.ICommonContentExtensionSite aConfig)

  Specified by:
    `init` in interface `org.eclipse.ui.navigator.ICommonContentProvider`

### restoreState

    public void restoreState(org.eclipse.ui.IMemento aMemento)

  Specified by:
    `restoreState` in interface `org.eclipse.ui.navigator.IMementoAware`

### saveState

    public void saveState(org.eclipse.ui.IMemento aMemento)

  Specified by:
    `saveState` in interface `org.eclipse.ui.navigator.IMementoAware`

### notifyChanged

    public void notifyChanged(ICatalogObject dmElement,
                              int eventType)

  Will get notified whenever the Server Explorer needs to be refreshed

  Specified by:
    `notifyChanged` in interface `ICatalogObjectListener`

### inputChanged

    public void inputChanged(org.eclipse.jface.viewers.Viewer viewer,
                             java.lang.Object oldInput,
                             java.lang.Object newInput)

  Specified by:
    `inputChanged` in interface `org.eclipse.jface.viewers.IContentProvider`

### getChildren

    public java.lang.Object[] getChildren(java.lang.Object parent)

  Specified by:
    `getChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`

### getLoadingDescription

    public java.lang.String getLoadingDescription()

  Specified by:
    `getLoadingDescription` in interface `org.eclipse.datatools.connectivity.sqm.server.internal.ui.explorer.loading.ILoadingService`